> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withorb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List invoices summary

> This is a lighter-weight endpoint that returns a list of all [`Invoice`](/core-concepts#invoice) summaries for an account in a
list format.

These invoice summaries do not include line item details, minimums, maximums, and discounts, making this endpoint more
efficient.

The list of invoices is ordered starting from the most recently issued invoice date. The response also includes
[`pagination_metadata`](/api-reference/pagination), which lets the caller retrieve the next page of results if they
exist.

By default, this only returns invoices that are `issued`, `paid`, or `synced`.

When fetching any `draft` invoices, this returns the last-computed invoice values for each draft invoice, which may
not always be up-to-date since Orb regularly refreshes invoices asynchronously.



## OpenAPI

````yaml /api-reference/orb-openapi.json get /invoices/summary
openapi: 3.1.0
info:
  title: API Reference
  description: >-
    Orb's API is built with the following principles in mind:


    1. **Predictable developer experience**: Where applicable, the Orb API uses
    industry-standard patterns such as

    cursor-based pagination and standardized error output. To help with
    debugging in critical API

    actions, the API always strives to provide detailed and actionable error
    messages. Aliases

    such as external customer IDs aid in fast integration times.

    2. **Reliably real time**: Orb's event-based APIs, such as event ingestion
    are designed to handle extremely high

    throughput and scale with concurrent load. Orb also provides a real-time
    event-level credits

    ledger and a highly performant webhooks architecture.

    3. **Flexibility at the forefront**: Features like timezone localization and
    the ability to amend historical usage

    show the flexible nature of the platform.


    You can download the latest OpenAPI spec
    [here](https://api.withorb.com/spec.json) - pass `?version=3.0` for an

    OpenAPI 3.0-compatible spec.
  contact:
    name: Orb, Inc.
    url: https://www.withorb.com/
    email: team@withorb.com
  version: '1.0'
servers:
  - url: https://api.withorb.com/v1
    description: Production server
security:
  - APIKeyAuth: []
tags:
  - name: Alert
    description: >-
      [Alerts within Orb](/product-catalog/configuring-alerts) monitor spending,

      usage, or credit balance and trigger webhooks when a threshold is
      exceeded.


      Alerts created through the API can be scoped to either customers or
      subscriptions.
  - name: Availability
  - name: Coupon
    description: >-
      A coupon represents a reusable discount configuration that can be applied
      either as a fixed or percentage amount to an invoice or subscription.
      Coupons are activated using a redemption code, which applies the discount
      to a subscription or invoice. The duration of a coupon determines how long
      it remains available for use by end users.
  - name: Credit
    description: >-
      The [Credit Ledger Entry resource](/product-catalog/prepurchase) models
      prepaid credits within Orb.
  - name: Credit note
    description: >-
      The [Credit Note](/invoicing/credit-notes) resource represents a credit
      that has been applied to a

      particular invoice.
  - name: Customer
    description: >-
      A customer is a buyer of your products, and the other party to the billing
      relationship.


      In Orb, customers are assigned system generated identifiers automatically,
      but it's often desirable to have these

      match existing identifiers in your system. To avoid having to denormalize
      Orb ID information, you can pass in an

      `external_customer_id` with your own identifier. See

      [Customer ID Aliases](/events-and-metrics/customer-aliases) for further
      information about how these

      aliases work in Orb.


      In addition to having an identifier in your system, a customer may exist
      in a payment provider solution like

      Stripe. Use the `payment_provider_id` and the `payment_provider` enum
      field to express this mapping.


      A customer also has a timezone (from the standard [IANA timezone
      database](https://www.iana.org/time-zones)), which

      defaults to your account's timezone. See [Timezone
      localization](/essentials/timezones) for

      information on what this timezone parameter influences within Orb.
  - name: Dimensional Price Group
  - name: Event
    description: >-
      The [Event](/core-concepts#event) resource represents a usage event that
      has been created for a

      customer. Events are the core of Orb's usage-based billing model, and are
      used to calculate the usage charges for

      a given billing period.
  - name: Invoice
    description: >-
      An [`Invoice`](/core-concepts#invoice) is a fundamental billing entity,
      representing the request for payment for

      a single subscription. This includes a set of line items, which correspond
      to prices in the subscription's plan and

      can represent fixed recurring fees or usage-based fees. They are generated
      at the end of a billing period, or as

      the result of an action, such as a cancellation.
  - name: Item
    description: >-
      The Item resource represents a sellable product or good. Items are
      associated with all line items, billable metrics,

      and prices and are used for defining external sync behavior for invoices
      and tax calculation purposes.
  - name: License
  - name: LicenseType
    description: >-
      The LicenseType resource represents a type of license that can be assigned
      to users.

      License types are used during billing by grouping metrics on the
      configured grouping key.
  - name: Metric
    description: >-
      The Metric resource represents a calculation of a quantity based on
      events.

      Metrics are defined by the query that transforms raw usage events into
      meaningful values for your customers.
  - name: Plan
    description: >-
      The [Plan](/core-concepts#plan-and-price) resource represents a plan that
      can be subscribed to by a

      customer. Plans define the billing behavior of the subscription. You can
      see more about how to configure prices

      in the [Price resource](/reference/price).
  - name: Price
    description: >-
      The Price resource represents a price that can be billed on a
      subscription, resulting in a charge on an invoice in

      the form of an invoice line item. Prices take a quantity and determine an
      amount to bill.


      Orb supports a few different pricing models out of the box. Each of these
      models is serialized differently in a

      given Price object. The model_type field determines the key for the
      configuration object that is present.


      For more on the types of prices, see [the core concepts
      documentation](/core-concepts#plan-and-price)
  - name: Price interval
    description: >-
      The Price Interval resource represents a period of time for which a price
      will bill on a subscription. A

      subscription’s price intervals define its billing behavior.
  - name: Subscription
    description: >-
      A [subscription](/core-concepts#subscription) represents the purchase of a
      plan by a customer.


      By default, subscriptions begin on the day that they're created and renew
      automatically for each billing cycle at

      the cadence that's configured in the plan definition.


      Subscriptions also default to **beginning of month alignment**, which
      means the first invoice issued for the

      subscription will have pro-rated charges between the `start_date` and the
      first of the following month. Subsequent

      billing periods will always start and end on a month boundary (e.g.
      subsequent month starts for monthly billing).


      Depending on the plan configuration, any _flat_ recurring fees will be
      billed either at the beginning (in-advance)

      or end (in-arrears) of each billing cycle. Plans default to **in-advance
      billing**. Usage-based fees are billed in

      arrears as usage is accumulated. In the normal course of events, you can
      expect an invoice to contain usage-based

      charges for the previous period, and a recurring fee for the following
      period.
  - name: Subscription Change
paths:
  /invoices/summary:
    get:
      tags:
        - Invoice
      summary: List invoices summary
      description: >-
        This is a lighter-weight endpoint that returns a list of all
        [`Invoice`](/core-concepts#invoice) summaries for an account in a

        list format.


        These invoice summaries do not include line item details, minimums,
        maximums, and discounts, making this endpoint more

        efficient.


        The list of invoices is ordered starting from the most recently issued
        invoice date. The response also includes

        [`pagination_metadata`](/api-reference/pagination), which lets the
        caller retrieve the next page of results if they

        exist.


        By default, this only returns invoices that are `issued`, `paid`, or
        `synced`.


        When fetching any `draft` invoices, this returns the last-computed
        invoice values for each draft invoice, which may

        not always be up-to-date since Orb regularly refreshes invoices
        asynchronously.
      operationId: list-invoices-summary
      parameters:
        - required: false
          style: form
          schema:
            oneOf:
              - type: string
              - type: 'null'
            title: Customer Id
          name: customer_id
          in: query
        - required: false
          style: form
          schema:
            oneOf:
              - type: string
              - type: 'null'
            title: External Customer Id
          name: external_customer_id
          in: query
        - required: false
          style: form
          schema:
            oneOf:
              - type: string
              - type: 'null'
            title: Subscription Id
          name: subscription_id
          in: query
        - required: false
          style: form
          schema:
            oneOf:
              - type: string
                enum:
                  - draft
                  - issued
                  - paid
                  - synced
                  - void
              - type: 'null'
            title: Status
          name: status
          in: query
        - required: false
          style: form
          explode: true
          schema:
            oneOf:
              - items:
                  type: string
                  enum:
                    - draft
                    - issued
                    - paid
                    - synced
                    - void
                type: array
              - type: 'null'
            title: Status[]
          name: status[]
          in: query
        - required: false
          style: form
          schema:
            oneOf:
              - type: string
              - type: 'null'
            title: Due Date Window
            description: >-
              Filters invoices by their due dates within a specific time range
              in the past. Specify the range as a number followed by 'd' (days)
              or 'm' (months). For example, '7d' filters invoices due in the
              last 7 days, and '2m' filters those due in the last 2 months.
          name: due_date_window
          in: query
        - required: false
          style: form
          schema:
            oneOf:
              - type: string
                enum:
                  - due_date
                  - invoice_date
              - type: 'null'
            title: Date Type
            default: invoice_date
          name: date_type
          in: query
        - required: false
          style: form
          schema:
            oneOf:
              - type: string
                format: date
              - type: 'null'
            title: Due Date
          name: due_date
          in: query
        - required: false
          style: form
          schema:
            oneOf:
              - type: string
                format: date
              - type: 'null'
            title: Due Date[Gt]
          name: due_date[gt]
          in: query
        - required: false
          style: form
          schema:
            oneOf:
              - type: string
                format: date
              - type: 'null'
            title: Due Date[Lt]
          name: due_date[lt]
          in: query
        - required: false
          style: form
          schema:
            oneOf:
              - type: string
              - type: 'null'
            title: Amount
          name: amount
          in: query
        - required: false
          style: form
          schema:
            oneOf:
              - type: string
              - type: 'null'
            title: Amount[Gt]
          name: amount[gt]
          in: query
        - required: false
          style: form
          schema:
            oneOf:
              - type: string
              - type: 'null'
            title: Amount[Lt]
          name: amount[lt]
          in: query
        - required: false
          style: form
          schema:
            oneOf:
              - type: boolean
              - type: 'null'
            title: Is Recurring
          name: is_recurring
          in: query
        - required: false
          style: form
          schema:
            type: integer
            maximum: 100
            minimum: 1
            title: Limit
            description: The number of items to fetch. Defaults to 20.
            default: 20
          name: limit
          in: query
        - required: false
          style: form
          schema:
            oneOf:
              - type: string
              - type: 'null'
            title: Cursor
            description: >-
              Cursor for pagination. This can be populated by the `next_cursor`
              value returned from the initial request.
          name: cursor
          in: query
        - required: false
          style: form
          schema:
            oneOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Invoice Date[Gte]
          name: invoice_date[gte]
          in: query
        - required: false
          style: form
          schema:
            oneOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Invoice Date[Gt]
          name: invoice_date[gt]
          in: query
        - required: false
          style: form
          schema:
            oneOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Invoice Date[Lt]
          name: invoice_date[lt]
          in: query
        - required: false
          style: form
          schema:
            oneOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Invoice Date[Lte]
          name: invoice_date[lte]
          in: query
      responses:
        '200':
          description: OK
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceSummarys'
        '400':
          description: Bad Request
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Error'
        '401':
          description: Unauthorized
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401Error'
        '404':
          description: Not Found
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Error'
        '409':
          description: Conflict
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/409Error'
        '413':
          description: Content Too Large
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/413Error'
        '429':
          description: Too Many Requests
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/429Error'
        '500':
          description: Internal Server Error
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500Error'
components:
  schemas:
    InvoiceSummarys:
      properties:
        data:
          items:
            $ref: '#/components/schemas/InvoiceSummary'
          type: array
          title: Data
        pagination_metadata:
          $ref: '#/components/schemas/PaginationMetadata'
      type: object
      required:
        - data
        - pagination_metadata
      title: InvoiceSummarys
    400Error:
      oneOf:
        - $ref: '#/components/schemas/ConstraintViolationError'
        - $ref: '#/components/schemas/DuplicateResourceCreationError'
        - $ref: '#/components/schemas/RequestValidationError'
    401Error:
      $ref: '#/components/schemas/AuthorizationError'
      title: 401Error
    404Error:
      oneOf:
        - $ref: '#/components/schemas/FeatureNotAvailableError'
        - $ref: '#/components/schemas/ResourceNotFoundError'
        - $ref: '#/components/schemas/URLNotFound'
    409Error:
      $ref: '#/components/schemas/IdempotencyRequestMismatch'
      title: 409Error
    413Error:
      oneOf:
        - $ref: '#/components/schemas/RequestTooLargeError'
        - $ref: '#/components/schemas/ResourceTooLargeError'
        - $ref: '#/components/schemas/TooManyResultsError'
    429Error:
      $ref: '#/components/schemas/TooManyRequests'
      title: 429Error
    500Error:
      $ref: '#/components/schemas/ServerError'
      title: 500Error
    InvoiceSummary:
      properties:
        metadata:
          additionalProperties:
            type: string
          type: object
          title: Metadata
          description: >-
            User specified key-value pairs for the resource. If not present,
            this defaults to an empty dictionary. Individual keys can be removed
            by setting the value to `null`, and the entire metadata mapping can
            be cleared by setting `metadata` to `null`.
        voided_at:
          oneOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Voided At
          description: >-
            If the invoice has a status of `void`, this gives a timestamp when
            the invoice was voided.
        paid_at:
          oneOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Paid At
          description: >-
            If the invoice has a status of `paid`, this gives a timestamp when
            the invoice was paid.
        issued_at:
          oneOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Issued At
          description: >-
            If the invoice has been issued, this will be the time it
            transitioned to `issued` (even if it is now in a different state.)
        scheduled_issue_at:
          oneOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Scheduled Issue At
          description: >-
            If the invoice is in draft, this timestamp will reflect when the
            invoice is scheduled to be issued.
        auto_collection:
          $ref: '#/components/schemas/AutoCollection'
        issue_failed_at:
          oneOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Issue Failed At
          description: >-
            If the invoice failed to issue, this will be the last time it failed
            to issue (even if it is now in a different state.)
        sync_failed_at:
          oneOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Sync Failed At
          description: >-
            If the invoice failed to sync, this will be the last time an
            external invoicing provider sync was attempted. This field will
            always be `null` for invoices using Orb Invoicing.
        payment_failed_at:
          oneOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Payment Failed At
          description: >-
            If payment was attempted on this invoice but failed, this will be
            the time of the most recent attempt.
        payment_started_at:
          oneOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Payment Started At
          description: >-
            If payment was attempted on this invoice, this will be the start
            time of the most recent attempt. This field is especially useful for
            delayed-notification payment mechanisms (like bank transfers), where
            payment can take 3 days or more.
        amount_due:
          type: string
          title: Amount Due
          description: >-
            This is the final amount required to be charged to the customer and
            reflects the application of the customer balance to the `total` of
            the invoice.
          examples:
            - '8.00'
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The creation time of the resource in Orb.
          examples:
            - '2022-05-01T07:01:31+00:00'
        currency:
          type: string
          title: Currency
          description: An ISO 4217 currency string or `credits`
          examples:
            - USD
        customer:
          $ref: '#/components/schemas/CustomerMinified'
        due_date:
          oneOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Due Date
          description: >-
            When the invoice payment is due. The due date is null if the invoice
            is not yet finalized.
          examples:
            - '2022-05-30T07:00:00+00:00'
        id:
          type: string
          title: Id
        invoice_pdf:
          oneOf:
            - type: string
            - type: 'null'
          title: Invoice Pdf
          description: The link to download the PDF representation of the `Invoice`.
          examples:
            - >-
              https://assets.withorb.com/invoice/rUHdhmg45vY45DX/qEAeuYePaphGMdFb
        invoice_number:
          type: string
          title: Invoice Number
          description: >-
            Automatically generated invoice number to help track and reconcile
            invoices. Invoice numbers have a prefix such as `RFOBWG`. These can
            be sequential per account or customer.
          examples:
            - JYEFHK-00001
        subscription:
          oneOf:
            - $ref: '#/components/schemas/SubscriptionMinified'
            - type: 'null'
        total:
          type: string
          title: Total
          description: The total after any minimums and discounts have been applied.
          examples:
            - '8.00'
        customer_balance_transactions:
          items:
            $ref: '#/components/schemas/CustomerBalanceTransaction'
          type: array
          title: Customer Balance Transactions
        status:
          type: string
          enum:
            - issued
            - paid
            - synced
            - void
            - draft
          title: Status
        invoice_source:
          type: string
          enum:
            - subscription
            - partial
            - one_off
          title: Invoice Source
        shipping_address:
          oneOf:
            - $ref: '#/components/schemas/Address'
            - type: 'null'
        billing_address:
          oneOf:
            - $ref: '#/components/schemas/Address'
            - type: 'null'
        hosted_invoice_url:
          oneOf:
            - type: string
            - type: 'null'
          title: Hosted Invoice Url
          description: >-
            A URL for the customer-facing invoice portal. This URL expires 60
            days after the link is generated, or 30 days after the invoice's due
            date — whichever is later.
        will_auto_issue:
          type: boolean
          title: Will Auto Issue
          description: >-
            This is true if the invoice will be automatically issued in the
            future, and false otherwise.
        eligible_to_issue_at:
          oneOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Eligible To Issue At
          description: >-
            If the invoice has a status of `draft`, this will be the time that
            the invoice will be eligible to be issued, otherwise it will be
            `null`. If `auto-issue` is true, the invoice will automatically
            begin issuing at this time.
        customer_tax_id:
          oneOf:
            - $ref: '#/components/schemas/CustomerTaxId'
            - type: 'null'
        memo:
          oneOf:
            - type: string
            - type: 'null'
          title: Memo
          description: >-
            Free-form text which is available on the invoice PDF and the Orb
            invoice portal.
        credit_notes:
          items:
            $ref: '#/components/schemas/CreditNoteSummary'
          type: array
          title: Credit Notes
          description: A list of credit notes associated with the invoice
        payment_attempts:
          items:
            $ref: '#/components/schemas/PaymentAttempt'
          type: array
          title: Payment Attempts
          description: A list of payment attempts associated with the invoice
        invoice_date:
          type: string
          format: date-time
          title: Invoice Date
          description: The scheduled date of the invoice
          examples:
            - '2022-05-01T07:00:00+00:00'
      type: object
      required:
        - metadata
        - voided_at
        - paid_at
        - issued_at
        - scheduled_issue_at
        - auto_collection
        - issue_failed_at
        - sync_failed_at
        - payment_failed_at
        - payment_started_at
        - amount_due
        - created_at
        - currency
        - customer
        - due_date
        - id
        - invoice_pdf
        - invoice_number
        - subscription
        - total
        - customer_balance_transactions
        - status
        - invoice_source
        - shipping_address
        - billing_address
        - hosted_invoice_url
        - will_auto_issue
        - eligible_to_issue_at
        - customer_tax_id
        - memo
        - credit_notes
        - payment_attempts
        - invoice_date
      title: InvoiceSummary
      description: '#InvoiceApiResourceWithoutLineItems'
    PaginationMetadata:
      properties:
        has_more:
          type: boolean
          title: Has More
        next_cursor:
          oneOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - has_more
        - next_cursor
      title: PaginationMetadata
    ConstraintViolationError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#400-constraint-violation
          title: Type
        status:
          type: integer
          enum:
            - 400
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: ConstraintViolationError
    DuplicateResourceCreationError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#400-duplicate-resource-creation
          title: Type
        status:
          type: integer
          enum:
            - 400
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: DuplicateResourceCreationError
    RequestValidationError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#400-request-validation-errors
          title: Type
        status:
          type: integer
          enum:
            - 400
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
        validation_errors:
          items: {}
          type: array
          title: Validation Errors
      type: object
      required:
        - type
        - status
        - validation_errors
      title: RequestValidationError
    AuthorizationError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#401-authentication-error
          title: Type
        status:
          type: integer
          enum:
            - 401
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: AuthorizationError
    FeatureNotAvailableError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#404-feature-not-available
          title: Type
        status:
          type: integer
          enum:
            - 400
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: FeatureNotAvailableError
    ResourceNotFoundError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#404-resource-not-found
          title: Type
        status:
          type: integer
          enum:
            - 404
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          type: string
          title: Title
      type: object
      required:
        - type
        - status
        - title
      title: ResourceNotFoundError
    URLNotFound:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#404-url-not-found
          title: Type
        status:
          type: integer
          enum:
            - 404
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: URLNotFound
    IdempotencyRequestMismatch:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#409-resource-conflict
          title: Type
        status:
          type: integer
          enum:
            - 409
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: IdempotencyRequestMismatch
    RequestTooLargeError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#413-request-too-large
          title: Type
        status:
          type: integer
          enum:
            - 413
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: RequestTooLargeError
    ResourceTooLargeError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#413-resource-too-large
          title: Type
        status:
          type: integer
          enum:
            - 413
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: ResourceTooLargeError
    TooManyResultsError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#413-too-many-results
          title: Type
        status:
          type: integer
          enum:
            - 413
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: TooManyResultsError
    TooManyRequests:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#429-too-many-requests
          title: Type
        status:
          type: integer
          enum:
            - 429
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: TooManyRequests
    ServerError:
      properties:
        type:
          type: string
          enum:
            - >-
              https://docs.withorb.com/reference/error-responses#500-internal-server-error
          title: Type
        status:
          type: integer
          title: Status
        detail:
          oneOf:
            - type: string
            - type: 'null'
          title: Detail
        title:
          oneOf:
            - type: string
            - type: 'null'
          title: Title
      type: object
      required:
        - type
        - status
      title: ServerError
    AutoCollection:
      properties:
        next_attempt_at:
          oneOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Next Attempt At
          description: >-
            If the invoice is scheduled for auto-collection, this field will
            reflect when the next attempt will occur. If dunning has been
            exhausted, or auto-collection is not enabled for this invoice, this
            field will be `null`.
        previously_attempted_at:
          oneOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Previously Attempted At
          description: >-
            If Orb has ever attempted payment auto-collection for this invoice,
            this field will reflect when that attempt occurred. In conjunction
            with `next_attempt_at`, this can be used to tell whether the invoice
            is currently in dunning (that is, `previously_attempted_at` is
            non-null, and `next_attempt_time` is non-null), or if dunning has
            been exhausted (`previously_attempted_at` is non-null, but
            `next_attempt_time` is null).
        enabled:
          oneOf:
            - type: boolean
            - type: 'null'
          title: Enabled
          description: True only if auto-collection is enabled for this invoice.
        num_attempts:
          oneOf:
            - type: integer
            - type: 'null'
          title: Num Attempts
          description: Number of auto-collection payment attempts.
      type: object
      required:
        - next_attempt_at
        - previously_attempted_at
        - enabled
        - num_attempts
      title: AutoCollection
    CustomerMinified:
      properties:
        id:
          type: string
          title: Id
        external_customer_id:
          oneOf:
            - type: string
            - type: 'null'
          title: External Customer Id
      type: object
      required:
        - id
        - external_customer_id
      title: CustomerMinified
    SubscriptionMinified:
      properties:
        id:
          type: string
          title: Id
          examples:
            - VDGsT23osdLb84KD
      type: object
      required:
        - id
      title: SubscriptionMinified
    CustomerBalanceTransaction:
      properties:
        id:
          type: string
          title: Id
          description: A unique id for this transaction.
          examples:
            - cgZa3SXcsPTVyC4Y
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The creation time of this transaction.
          examples:
            - '2022-05-01T07:01:31+00:00'
        starting_balance:
          type: string
          title: Starting Balance
          description: >-
            The original value of the customer's balance prior to the
            transaction, in the customer's currency.
          examples:
            - '33.00'
        ending_balance:
          type: string
          title: Ending Balance
          description: >-
            The new value of the customer's balance prior to the transaction, in
            the customer's currency.
          examples:
            - '22.00'
        amount:
          type: string
          title: Amount
          description: The value of the amount changed in the transaction.
          examples:
            - '11.00'
        action:
          type: string
          enum:
            - applied_to_invoice
            - manual_adjustment
            - prorated_refund
            - revert_prorated_refund
            - return_from_voiding
            - credit_note_applied
            - credit_note_voided
            - overpayment_refund
            - external_payment
            - small_invoice_carryover
          title: Action
        description:
          oneOf:
            - type: string
            - type: 'null'
          title: Description
          description: >-
            An optional description provided for manual customer balance
            adjustments.
          examples:
            - An optional description
        invoice:
          oneOf:
            - $ref: '#/components/schemas/InvoiceTiny'
            - type: 'null'
        type:
          type: string
          enum:
            - increment
            - decrement
          title: Type
        credit_note:
          oneOf:
            - $ref: '#/components/schemas/CreditNoteTiny'
            - type: 'null'
      type: object
      required:
        - id
        - created_at
        - starting_balance
        - ending_balance
        - amount
        - action
        - description
        - invoice
        - type
        - credit_note
      title: CustomerBalanceTransaction
    Address:
      properties:
        line1:
          oneOf:
            - type: string
            - type: 'null'
          title: Line1
        line2:
          oneOf:
            - type: string
            - type: 'null'
          title: Line2
        city:
          oneOf:
            - type: string
            - type: 'null'
          title: City
        state:
          oneOf:
            - type: string
            - type: 'null'
          title: State
        postal_code:
          oneOf:
            - type: string
            - type: 'null'
          title: Postal Code
        country:
          oneOf:
            - type: string
            - type: 'null'
          title: Country
      type: object
      required:
        - line1
        - line2
        - city
        - state
        - postal_code
        - country
      title: Address
    CustomerTaxId:
      properties:
        country:
          type: string
          enum:
            - AD
            - AE
            - AL
            - AM
            - AO
            - AR
            - AT
            - AU
            - AW
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BF
            - BG
            - BH
            - BJ
            - BO
            - BR
            - BS
            - BY
            - CA
            - CD
            - CH
            - CL
            - CM
            - CN
            - CO
            - CR
            - CV
            - CY
            - CZ
            - DE
            - DK
            - DO
            - EC
            - EE
            - EG
            - ES
            - ET
            - EU
            - FI
            - FO
            - FR
            - GB
            - GE
            - GI
            - GN
            - GR
            - HK
            - HR
            - HU
            - ID
            - IE
            - IL
            - IN
            - IS
            - IT
            - JP
            - KE
            - KG
            - KH
            - KR
            - KZ
            - LA
            - LI
            - LK
            - LT
            - LU
            - LV
            - MA
            - MD
            - ME
            - MK
            - MR
            - MT
            - MX
            - MY
            - NG
            - NL
            - 'NO'
            - NP
            - NZ
            - OM
            - PE
            - PH
            - PL
            - PT
            - PY
            - RO
            - RS
            - RU
            - SA
            - SE
            - SG
            - SI
            - SK
            - SN
            - SR
            - SV
            - TH
            - TJ
            - TR
            - TW
            - TZ
            - UA
            - UG
            - US
            - UY
            - UZ
            - VE
            - VN
            - ZA
            - ZM
            - ZW
          title: Country
        type:
          type: string
          enum:
            - ad_nrt
            - ae_trn
            - al_tin
            - am_tin
            - ao_tin
            - ar_cuit
            - eu_vat
            - au_abn
            - au_arn
            - aw_tin
            - az_tin
            - ba_tin
            - bb_tin
            - bd_bin
            - bf_ifu
            - bg_uic
            - bh_vat
            - bj_ifu
            - bo_tin
            - br_cnpj
            - br_cpf
            - bs_tin
            - by_tin
            - ca_bn
            - ca_gst_hst
            - ca_pst_bc
            - ca_pst_mb
            - ca_pst_sk
            - ca_qst
            - cd_nif
            - ch_uid
            - ch_vat
            - cl_tin
            - cm_niu
            - cn_tin
            - co_nit
            - cr_tin
            - cv_nif
            - de_stn
            - do_rcn
            - ec_ruc
            - eg_tin
            - es_cif
            - et_tin
            - eu_oss_vat
            - fo_vat
            - gb_vat
            - ge_vat
            - gi_tin
            - gn_nif
            - hk_br
            - hr_oib
            - hu_tin
            - id_npwp
            - il_vat
            - in_gst
            - is_vat
            - it_cf
            - jp_cn
            - jp_rn
            - jp_trn
            - ke_pin
            - kg_tin
            - kh_tin
            - kr_brn
            - kz_bin
            - la_tin
            - li_uid
            - li_vat
            - lk_vat
            - ma_vat
            - md_vat
            - me_pib
            - mk_vat
            - mr_nif
            - mx_rfc
            - my_frp
            - my_itn
            - my_sst
            - ng_tin
            - no_vat
            - no_voec
            - np_pan
            - nz_gst
            - om_vat
            - pe_ruc
            - ph_tin
            - pl_nip
            - py_ruc
            - ro_tin
            - rs_pib
            - ru_inn
            - ru_kpp
            - sa_vat
            - sg_gst
            - sg_uen
            - si_tin
            - sn_ninea
            - sr_fin
            - sv_nit
            - th_vat
            - tj_tin
            - tr_tin
            - tw_vat
            - tz_vat
            - ua_vat
            - ug_tin
            - us_ein
            - uy_ruc
            - uz_tin
            - uz_vat
            - ve_rif
            - vn_tin
            - za_vat
            - zm_tin
            - zw_tin
          title: Type
        value:
          type: string
          title: Value
      type: object
      required:
        - country
        - type
        - value
      title: CustomerTaxId
      description: >-
        Tax IDs are commonly required to be displayed on customer invoices,
        which are added to the headers of invoices.



        ### Supported Tax ID Countries and Types



        | Country | Type | Description |

        |---------|------|-------------|

        | Albania | `al_tin` | Albania Tax Identification Number |

        | Andorra | `ad_nrt` | Andorran NRT Number |

        | Angola | `ao_tin` | Angola Tax Identification Number |

        | Argentina | `ar_cuit` | Argentinian Tax ID Number |

        | Armenia | `am_tin` | Armenia Tax Identification Number |

        | Aruba | `aw_tin` | Aruba Tax Identification Number |

        | Australia | `au_abn` | Australian Business Number (AU ABN) |

        | Australia | `au_arn` | Australian Taxation Office Reference Number |

        | Austria | `eu_vat` | European VAT Number |

        | Azerbaijan | `az_tin` | Azerbaijan Tax Identification Number |

        | Bahamas | `bs_tin` | Bahamas Tax Identification Number |

        | Bahrain | `bh_vat` | Bahraini VAT Number |

        | Bangladesh | `bd_bin` | Bangladesh Business Identification Number |

        | Barbados | `bb_tin` | Barbados Tax Identification Number |

        | Belarus | `by_tin` | Belarus TIN Number |

        | Belgium | `eu_vat` | European VAT Number |

        | Benin | `bj_ifu` | Benin Tax Identification Number (Identifiant Fiscal
        Unique) |

        | Bolivia | `bo_tin` | Bolivian Tax ID |

        | Bosnia and Herzegovina | `ba_tin` | Bosnia and Herzegovina Tax
        Identification Number |

        | Brazil | `br_cnpj` | Brazilian CNPJ Number |

        | Brazil | `br_cpf` | Brazilian CPF Number |

        | Bulgaria | `bg_uic` | Bulgaria Unified Identification Code |

        | Bulgaria | `eu_vat` | European VAT Number |

        | Burkina Faso | `bf_ifu` | Burkina Faso Tax Identification Number
        (Numéro d'Identifiant Fiscal Unique) |

        | Cambodia | `kh_tin` | Cambodia Tax Identification Number |

        | Cameroon | `cm_niu` | Cameroon Tax Identification Number (Numéro
        d'Identifiant fiscal Unique) |

        | Canada | `ca_bn` | Canadian BN |

        | Canada | `ca_gst_hst` | Canadian GST/HST Number |

        | Canada | `ca_pst_bc` | Canadian PST Number (British Columbia) |

        | Canada | `ca_pst_mb` | Canadian PST Number (Manitoba) |

        | Canada | `ca_pst_sk` | Canadian PST Number (Saskatchewan) |

        | Canada | `ca_qst` | Canadian QST Number (Québec) |

        | Cape Verde | `cv_nif` | Cape Verde Tax Identification Number (Número
        de Identificação Fiscal) |

        | Chile | `cl_tin` | Chilean TIN |

        | China | `cn_tin` | Chinese Tax ID |

        | Colombia | `co_nit` | Colombian NIT Number |

        | Congo-Kinshasa | `cd_nif` | Congo (DR) Tax Identification Number
        (Número de Identificação Fiscal) |

        | Costa Rica | `cr_tin` | Costa Rican Tax ID |

        | Croatia | `eu_vat` | European VAT Number |

        | Croatia | `hr_oib` | Croatian Personal Identification Number (OIB) |

        | Cyprus | `eu_vat` | European VAT Number |

        | Czech Republic | `eu_vat` | European VAT Number |

        | Denmark | `eu_vat` | European VAT Number |

        | Dominican Republic | `do_rcn` | Dominican RCN Number |

        | Ecuador | `ec_ruc` | Ecuadorian RUC Number |

        | Egypt | `eg_tin` | Egyptian Tax Identification Number |

        | El Salvador | `sv_nit` | El Salvadorian NIT Number |

        | Estonia | `eu_vat` | European VAT Number |

        | Ethiopia | `et_tin` | Ethiopia Tax Identification Number |

        | European Union | `eu_oss_vat` | European One Stop Shop VAT Number for
        non-Union scheme |

        | Faroe Islands | `fo_vat` | Faroe Islands VAT Number |

        | Finland | `eu_vat` | European VAT Number |

        | France | `eu_vat` | European VAT Number |

        | Georgia | `ge_vat` | Georgian VAT |

        | Germany | `de_stn` | German Tax Number (Steuernummer) |

        | Germany | `eu_vat` | European VAT Number |

        | Gibraltar | `gi_tin` | Gibraltar Tax Identification Number |

        | Greece | `eu_vat` | European VAT Number |

        | Guinea | `gn_nif` | Guinea Tax Identification Number (Número de
        Identificação Fiscal) |

        | Hong Kong | `hk_br` | Hong Kong BR Number |

        | Hungary | `eu_vat` | European VAT Number |

        | Hungary | `hu_tin` | Hungary Tax Number (adószám) |

        | Iceland | `is_vat` | Icelandic VAT |

        | India | `in_gst` | Indian GST Number |

        | Indonesia | `id_npwp` | Indonesian NPWP Number |

        | Ireland | `eu_vat` | European VAT Number |

        | Israel | `il_vat` | Israel VAT |

        | Italy | `eu_vat` | European VAT Number |

        | Italy | `it_cf` | Italian Codice Fiscale Number |

        | Japan | `jp_cn` | Japanese Corporate Number (*Hōjin Bangō*) |

        | Japan | `jp_rn` | Japanese Registered Foreign Businesses' Registration
        Number (*Tōroku Kokugai Jigyōsha no Tōroku Bangō*) |

        | Japan | `jp_trn` | Japanese Tax Registration Number (*Tōroku Bangō*) |

        | Kazakhstan | `kz_bin` | Kazakhstani Business Identification Number |

        | Kenya | `ke_pin` | Kenya Revenue Authority Personal Identification
        Number |

        | Kyrgyzstan | `kg_tin` | Kyrgyzstan Tax Identification Number |

        | Laos | `la_tin` | Laos Tax Identification Number |

        | Latvia | `eu_vat` | European VAT Number |

        | Liechtenstein | `li_uid` | Liechtensteinian UID Number |

        | Liechtenstein | `li_vat` | Liechtenstein VAT Number |

        | Lithuania | `eu_vat` | European VAT Number |

        | Luxembourg | `eu_vat` | European VAT Number |

        | Malaysia | `my_frp` | Malaysian FRP Number |

        | Malaysia | `my_itn` | Malaysian ITN |

        | Malaysia | `my_sst` | Malaysian SST Number |

        | Malta | `eu_vat` | European VAT Number |

        | Mauritania | `mr_nif` | Mauritania Tax Identification Number (Número
        de Identificação Fiscal) |

        | Mexico | `mx_rfc` | Mexican RFC Number |

        | Moldova | `md_vat` | Moldova VAT Number |

        | Montenegro | `me_pib` | Montenegro PIB Number |

        | Morocco | `ma_vat` | Morocco VAT Number |

        | Nepal | `np_pan` | Nepal PAN Number |

        | Netherlands | `eu_vat` | European VAT Number |

        | New Zealand | `nz_gst` | New Zealand GST Number |

        | Nigeria | `ng_tin` | Nigerian Tax Identification Number |

        | North Macedonia | `mk_vat` | North Macedonia VAT Number |

        | Northern Ireland | `eu_vat` | Northern Ireland VAT Number |

        | Norway | `no_vat` | Norwegian VAT Number |

        | Norway | `no_voec` | Norwegian VAT on e-commerce Number |

        | Oman | `om_vat` | Omani VAT Number |

        | Paraguay | `py_ruc` | Paraguayan RUC Number |

        | Peru | `pe_ruc` | Peruvian RUC Number |

        | Philippines | `ph_tin` | Philippines Tax Identification Number |

        | Poland | `eu_vat` | European VAT Number |

        | Poland | `pl_nip` | Polish Tax ID Number |

        | Portugal | `eu_vat` | European VAT Number |

        | Romania | `eu_vat` | European VAT Number |

        | Romania | `ro_tin` | Romanian Tax ID Number |

        | Russia | `ru_inn` | Russian INN |

        | Russia | `ru_kpp` | Russian KPP |

        | Saudi Arabia | `sa_vat` | Saudi Arabia VAT |

        | Senegal | `sn_ninea` | Senegal NINEA Number |

        | Serbia | `rs_pib` | Serbian PIB Number |

        | Singapore | `sg_gst` | Singaporean GST |

        | Singapore | `sg_uen` | Singaporean UEN |

        | Slovakia | `eu_vat` | European VAT Number |

        | Slovenia | `eu_vat` | European VAT Number |

        | Slovenia | `si_tin` | Slovenia Tax Number (davčna številka) |

        | South Africa | `za_vat` | South African VAT Number |

        | South Korea | `kr_brn` | Korean BRN |

        | Spain | `es_cif` | Spanish NIF Number (previously Spanish CIF Number)
        |

        | Spain | `eu_vat` | European VAT Number |

        | Sri Lanka | `lk_vat` | Sri Lanka VAT Number |

        | Suriname | `sr_fin` | Suriname FIN Number |

        | Sweden | `eu_vat` | European VAT Number |

        | Switzerland | `ch_uid` | Switzerland UID Number |

        | Switzerland | `ch_vat` | Switzerland VAT Number |

        | Taiwan | `tw_vat` | Taiwanese VAT |

        | Tajikistan | `tj_tin` | Tajikistan Tax Identification Number |

        | Tanzania | `tz_vat` | Tanzania VAT Number |

        | Thailand | `th_vat` | Thai VAT |

        | Turkey | `tr_tin` | Turkish Tax Identification Number |

        | Uganda | `ug_tin` | Uganda Tax Identification Number |

        | Ukraine | `ua_vat` | Ukrainian VAT |

        | United Arab Emirates | `ae_trn` | United Arab Emirates TRN |

        | United Kingdom | `gb_vat` | United Kingdom VAT Number |

        | United States | `us_ein` | United States EIN |

        | Uruguay | `uy_ruc` | Uruguayan RUC Number |

        | Uzbekistan | `uz_tin` | Uzbekistan TIN Number |

        | Uzbekistan | `uz_vat` | Uzbekistan VAT Number |

        | Venezuela | `ve_rif` | Venezuelan RIF Number |

        | Vietnam | `vn_tin` | Vietnamese Tax ID Number |

        | Zambia | `zm_tin` | Zambia Tax Identification Number |

        | Zimbabwe | `zw_tin` | Zimbabwe Tax Identification Number |
    CreditNoteSummary:
      properties:
        id:
          type: string
          title: Id
        credit_note_number:
          type: string
          title: Credit Note Number
        reason:
          type: string
          title: Reason
        total:
          type: string
          title: Total
        voided_at:
          oneOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Voided At
          description: >-
            If the credit note has a status of `void`, this gives a timestamp
            when the credit note was voided.
          examples:
            - '2022-05-01T07:01:31+00:00'
        type:
          type: string
          title: Type
        memo:
          oneOf:
            - type: string
            - type: 'null'
          title: Memo
          description: An optional memo supplied on the credit note.
      type: object
      required:
        - id
        - credit_note_number
        - reason
        - total
        - voided_at
        - type
        - memo
      title: CreditNoteSummary
    PaymentAttempt:
      properties:
        id:
          type: string
          title: Id
          description: The ID of the payment attempt.
        payment_provider:
          oneOf:
            - type: string
              enum:
                - stripe
                - adyen
            - type: 'null'
          title: Payment Provider
          description: The payment provider that attempted to collect the payment.
        payment_provider_id:
          oneOf:
            - type: string
            - type: 'null'
          title: Payment Provider Id
          description: The ID of the payment attempt in the payment provider.
        amount:
          type: string
          title: Amount
          description: The amount of the payment attempt.
        succeeded:
          type: boolean
          title: Succeeded
          description: Whether the payment attempt succeeded.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The time at which the payment attempt was created.
        receipt_pdf:
          oneOf:
            - type: string
            - type: 'null'
          title: Receipt Pdf
          description: >-
            URL to the downloadable PDF version of the receipt. This field will
            be `null` for payment attempts that did not succeed.
          examples:
            - >-
              https://assets.withorb.com/receipt/rUHdhmg45vY45DX/qEAeuYePaphGMdFb
      type: object
      required:
        - id
        - payment_provider
        - payment_provider_id
        - amount
        - succeeded
        - created_at
        - receipt_pdf
      title: PaymentAttempt
    InvoiceTiny:
      properties:
        id:
          type: string
          title: Id
          description: The Invoice id
          examples:
            - gXcsPTVyC4YZa3Sc
      type: object
      required:
        - id
      title: InvoiceTiny
    CreditNoteTiny:
      properties:
        id:
          type: string
          title: Id
          description: The id of the Credit note
      type: object
      required:
        - id
      title: CreditNoteTiny
  securitySchemes:
    APIKeyAuth:
      type: http
      description: API Keys can be issued in the Orb's web application.
      scheme: bearer

````